"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const book_1 = __importDefault(require("../models/book"));
const node_1 = __importDefault(require("../fs/node"));
/**
 Return a book instance to work on from
 command line args/kwargs

 @param {Array} args
 @param {Object} kwargs
 @return {Book}
 */
function getBook(args, kwargs) {
    const input = path_1.default.resolve(args[0] || process.cwd());
    const logLevel = kwargs.log;
    const fs = (0, node_1.default)(input);
    const book = book_1.default.createForFS(fs);
    return book.setLogLevel(logLevel);
}
exports.default = getBook;
