"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const immutable_1 = __importDefault(require("immutable"));
const pluginDependency_1 = __importDefault(require("../models/pluginDependency"));
const pkg = require("../../package.json");
/**
 * Create a PluginDependency from a dependency of gitbook
 * @param {string} pluginName
 * @return {PluginDependency}
 */
function createFromDependency(pluginName) {
    const npmID = "gitbook-plugin-" + pluginName;
    const version = pkg.dependencies[npmID];
    return pluginDependency_1.default.create(pluginName, version);
}
exports.default = immutable_1.default.List(["highlight", "search", "lunr", "fontsettings", "theme-default"]).map(createFromDependency);
