"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const semver_1 = __importDefault(require("semver"));
const pkg = require("../package.json");
const VERSION = pkg.version;
const VERSION_STABLE = VERSION.replace(/-(\S+)/g, "");
const START_TIME = new Date();
/**
 Verify that this gitbook version satisfies a requirement
 We can't directly use samver.satisfies since it will break all plugins when gitbook version is a prerelease (beta, alpha)

 @param {string} condition
 @return {boolean}
 */
function satisfies(condition) {
    // Test with real version
    if (semver_1.default.satisfies(VERSION, condition))
        return true;
    // If plugin require -alpha -beta engine, skip it
    // https://github.com/honkit/honkit/issues/42
    if (/-(\S+)$/.test(condition)) {
        return true;
    }
    // Test with future stable release
    return semver_1.default.satisfies(VERSION_STABLE, condition);
}
exports.default = {
    version: pkg.version,
    satisfies: satisfies,
    START_TIME: START_TIME,
};
