"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const encodeFile_1 = __importDefault(require("./encodeFile"));
const encodeGlossaryEntry_1 = __importDefault(require("./encodeGlossaryEntry"));
/**
 Encode a glossary to JSON

 @param {Glossary}
 @return {Object}
 */
function encodeGlossary(glossary) {
    const file = glossary.getFile();
    const entries = glossary.getEntries();
    return {
        file: (0, encodeFile_1.default)(file),
        entries: entries.map(encodeGlossaryEntry_1.default).toJS(),
    };
}
exports.default = encodeGlossary;
