"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const encodeFile_1 = __importDefault(require("./encodeFile"));
/**
 Encode a languages listing to JSON

 @param {Languages}
 @return {Object}
 */
function encodeLanguages(languages) {
    const file = languages.getFile();
    const list = languages.getList();
    return {
        file: (0, encodeFile_1.default)(file),
        list: list
            .valueSeq()
            .map((lang) => {
            return {
                id: lang.getID(),
                title: lang.getTitle(),
            };
        })
            .toJS(),
    };
}
exports.default = encodeLanguages;
