"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const encodeFile_1 = __importDefault(require("./encodeFile"));
const encodeSummaryPart_1 = __importDefault(require("./encodeSummaryPart"));
/**
 Encode a summary to JSON

 @param {Summary}
 @return {Object}
 */
function encodeSummary(summary) {
    const file = summary.getFile();
    const parts = summary.getParts();
    return {
        file: (0, encodeFile_1.default)(file),
        parts: parts.map(encodeSummaryPart_1.default).toJS(),
    };
}
exports.default = encodeSummary;
