"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = __importDefault(require("../file"));
const glossary_1 = __importDefault(require("../glossary"));
const glossaryEntry_1 = __importDefault(require("../glossaryEntry"));
describe("Glossary", () => {
    const glossary = glossary_1.default.createFromEntries(new file_1.default(), [
        {
            name: "Hello World",
            description: "Awesome!",
        },
        {
            name: "JavaScript",
            description: "This is a cool language",
        },
    ]);
    describe("createFromEntries", () => {
        test("must add all entries", () => {
            const entries = glossary.getEntries();
            expect(entries.size).toBe(2);
        });
        test("must add entries as GlossaryEntries", () => {
            const entries = glossary.getEntries();
            const entry = entries.get("hello-world");
            expect(entry instanceof glossaryEntry_1.default).toBeTruthy();
        });
    });
    describe("toText", () => {
        test("return as markdown", () => {
            return glossary.toText(".md").then((text) => {
                expect(text).toContain("# Glossary");
            });
        });
    });
});
