"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const immutable_1 = __importDefault(require("immutable"));
const page_1 = __importDefault(require("../page"));
describe("Page", () => {
    describe("toText", () => {
        test("must not prepend frontmatter if no attributes", () => {
            const page = new page_1.default().merge({
                content: "Hello World",
            });
            expect(page.toText()).toBe("Hello World");
        });
        test("must prepend frontmatter if attributes", () => {
            const page = new page_1.default().merge({
                content: "Hello World",
                attributes: immutable_1.default.fromJS({
                    hello: "world",
                }),
            });
            expect(page.toText()).toBe("---\nhello: world\n---\n\nHello World");
        });
    });
});
