"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const immutable_1 = __importDefault(require("immutable"));
const file_1 = __importDefault(require("./file"));
class Readme extends immutable_1.default.Record({
    file: new file_1.default(),
    title: String(),
    description: String(),
}) {
    getFile() {
        return this.get("file");
    }
    getTitle() {
        return this.get("title");
    }
    getDescription() {
        return this.get("description");
    }
    /**
     Create a new readme

     @param {File} file
     @param {Object} def
     @return {Readme}
     */
    static create(file, def) {
        def = def || {};
        return new Readme({
            file: file,
            title: def.title || "",
            description: def.description || "",
        });
    }
}
exports.default = Readme;
