"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const togglePlugin_1 = __importDefault(require("../togglePlugin"));
const config_1 = __importDefault(require("../../../models/config"));
describe("togglePlugin", () => {
    const config = config_1.default.createWithValues({
        plugins: ["hello", "world", "-disabled"],
    });
    test("should enable plugin", () => {
        // @ts-expect-error ts-migrate(2554) FIXME: Expected 3 arguments, but got 2.
        const newConfig = (0, togglePlugin_1.default)(config, "disabled");
        const testDep = newConfig.getPluginDependency("disabled");
        expect(testDep).toBeDefined();
        expect(testDep.getVersion()).toEqual("*");
        expect(testDep.isEnabled()).toBeTruthy();
    });
    test("should disable plugin", () => {
        // @ts-expect-error ts-migrate(2554) FIXME: Expected 3 arguments, but got 2.
        const newConfig = (0, togglePlugin_1.default)(config, "world");
        const testDep = newConfig.getPluginDependency("world");
        expect(testDep).toBeDefined();
        expect(testDep.getVersion()).toEqual("*");
        expect(testDep.isEnabled()).toBeFalsy();
    });
});
