"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const summary_1 = __importDefault(require("../../../models/summary"));
const file_1 = __importDefault(require("../../../models/file"));
const editPartTitle_1 = __importDefault(require("../editPartTitle"));
describe("editPartTitle", () => {
    const summary = summary_1.default.createFromParts(new file_1.default(), [
        {
            articles: [
                {
                    title: "My First Article",
                    path: "README.md",
                },
                {
                    title: "My Second Article",
                    path: "article.md",
                },
            ],
        },
        {
            title: "Test",
        },
    ]);
    test("should correctly set title of first part", () => {
        const newSummary = (0, editPartTitle_1.default)(summary, 0, "Hello World");
        const part = newSummary.getPart(0);
        expect(part.getTitle()).toBe("Hello World");
    });
    test("should correctly set title of second part", () => {
        const newSummary = (0, editPartTitle_1.default)(summary, 1, "Hello");
        const part = newSummary.getPart(1);
        expect(part.getTitle()).toBe("Hello");
    });
    test("should not fail if part doesn't exist", () => {
        const newSummary = (0, editPartTitle_1.default)(summary, 3, "Hello");
        expect(newSummary.getParts().size).toBe(2);
    });
});
