"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const summary_1 = __importDefault(require("../../../models/summary"));
const file_1 = __importDefault(require("../../../models/file"));
const removeArticle_1 = __importDefault(require("../removeArticle"));
describe("removeArticle", () => {
    const summary = summary_1.default.createFromParts(new file_1.default(), [
        {
            articles: [
                {
                    title: "1.1",
                    path: "1.1",
                },
                {
                    title: "1.2",
                    path: "1.2",
                },
            ],
        },
        {
            title: "Part I",
            articles: [
                {
                    title: "2.1",
                    path: "2.1",
                    articles: [
                        {
                            title: "2.1.1",
                            path: "2.1.1",
                        },
                        {
                            title: "2.1.2",
                            path: "2.1.2",
                        },
                    ],
                },
                {
                    title: "2.2",
                    path: "2.2",
                },
            ],
        },
    ]);
    test("should remove an article at a given level", () => {
        const newSummary = (0, removeArticle_1.default)(summary, "2.1.1");
        const removed = newSummary.getByLevel("2.1.1");
        const nextOne = newSummary.getByLevel("2.1.2");
        expect(removed.getTitle()).toBe("2.1.2");
        expect(nextOne).toBe(null);
    });
});
