"use strict";
/**
 Index levels in an article tree

 @param {Article}
 @param {string} baseLevel
 @return {Article}
 */
Object.defineProperty(exports, "__esModule", { value: true });
function indexArticleLevels(article, baseLevel) {
    baseLevel = baseLevel || article.getLevel();
    let articles = article.getArticles();
    articles = articles.map((inner, i) => {
        return indexArticleLevels(inner, `${baseLevel}.${i + 1}`);
    });
    return article.merge({
        level: baseLevel,
        articles: articles,
    });
}
exports.default = indexArticleLevels;
