"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const indexArticleLevels_1 = __importDefault(require("./indexArticleLevels"));
/**
 Index levels in a part

 @param {Part}
 @param {number} index
 @return {Part}
 */
function indexPartLevels(part, index) {
    const baseLevel = String(index + 1);
    let articles = part.getArticles();
    articles = articles.map((inner, i) => {
        return (0, indexArticleLevels_1.default)(inner, `${baseLevel}.${i + 1}`);
    });
    return part.merge({
        level: baseLevel,
        articles: articles,
    });
}
exports.default = indexPartLevels;
