"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const summaryPart_1 = __importDefault(require("../../models/summaryPart"));
const indexLevels_1 = __importDefault(require("./indexLevels"));
/**
 Returns a new Summary with a part inserted at given index

 @param {Summary} summary
 @param {Part} part
 @param {number} index
 @return {Summary}
 */
function insertPart(summary, part, index) {
    part = new summaryPart_1.default(part);
    const parts = summary.getParts().insert(index, part);
    return (0, indexLevels_1.default)(summary.set("parts", parts));
}
exports.default = insertPart;
