"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const summaryArticle_1 = __importDefault(require("../../models/summaryArticle"));
const summaryPart_1 = __importDefault(require("../../models/summaryPart"));
const indexLevels_1 = __importDefault(require("./indexLevels"));
/**
 Insert an article at the beginning of summary

 @param {Summary} summary
 @param {Article} article
 @return {Summary}
 */
function unshiftArticle(summary, article) {
    article = new summaryArticle_1.default(article);
    let parts = summary.getParts();
    let part = parts.get(0) || new summaryPart_1.default();
    let articles = part.getArticles();
    articles = articles.unshift(article);
    part = part.set("articles", articles);
    parts = parts.set(0, part);
    summary = summary.set("parts", parts);
    return (0, indexLevels_1.default)(summary);
}
exports.default = unshiftArticle;
