"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const generateMock_1 = __importDefault(require("../testing/generateMock"));
const json_1 = __importDefault(require("../json"));
describe("JSONGenerator", () => {
    test("should generate a README.json", () => {
        return (0, generateMock_1.default)(json_1.default, {
            "README.md": "Hello World"
        }).then((folder) => {
            expect(folder).toHaveFile("README.json");
        });
    });
    test("should generate a json file for each articles", () => {
        return (0, generateMock_1.default)(json_1.default, {
            "README.md": "Hello World",
            "SUMMARY.md": "# Summary\n\n* [Page](test/page.md)",
            test: {
                "page.md": "Hello 2"
            }
        }).then((folder) => {
            expect(folder).toHaveFile("README.json");
            expect(folder).toHaveFile("test/page.json");
        });
    });
    test("should generate a multilingual book", () => {
        return (0, generateMock_1.default)(json_1.default, {
            "LANGS.md": "# Languages\n\n* [en](en)\n* [fr](fr)",
            en: {
                "README.md": "Hello"
            },
            fr: {
                "README.md": "Bonjour"
            }
        }).then((folder) => {
            expect(folder).toHaveFile("en/README.json");
            expect(folder).toHaveFile("fr/README.json");
            expect(folder).toHaveFile("README.json");
        });
    });
});
