"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const api_1 = __importDefault(require("../api"));
const callHook_1 = __importDefault(require("./callHook"));
/**
 Call a hook for a specific page

 @param {string} name
 @param {Output} output
 @param {Page} page
 @return {Promise<Page>}
 */
function callPageHook(name, output, page) {
    return (0, callHook_1.default)(name, (out) => {
        return api_1.default.encodePage(out, page);
    }, (out, result) => {
        return api_1.default.decodePage(out, page, result);
    }, output);
}
exports.default = callPageHook;
