"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("../../utils/fs"));
/**
 Resolve path to cover file to use

 @param {Output}
 @return {string}
 */
function getCoverPath(output) {
    const outputRoot = output.getRoot();
    const book = output.getBook();
    const config = book.getConfig();
    const coverName = config.getValue("cover", "cover.jpg");
    // Resolve to absolute
    let cover = fs_1.default.pickFile(outputRoot, coverName);
    if (cover) {
        return cover;
    }
    // Multilingual? try parent folder
    if (book.isLanguageBook()) {
        cover = fs_1.default.pickFile(path_1.default.join(outputRoot, ".."), coverName);
    }
    return cover;
}
exports.default = getCoverPath;
