"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const website_1 = __importDefault(require("../website"));
const modifiers_1 = __importDefault(require("../modifiers"));
/**
 Write a page for ebook output

 @param {Output} output
 @param {Output}
 */
function onPage(output, page) {
    const options = output.getOptions();
    // Inline assets
    return (modifiers_1.default.modifyHTML(page, [modifiers_1.default.inlineAssets(options.get("root"), page.getFile().getPath())])
        // Write page using website generator
        .then((resultPage) => {
        return website_1.default.onPage(output, resultPage);
    }));
}
exports.default = onPage;
