"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const promise_1 = __importDefault(require("../utils/promise"));
/**
 Output all assets using a generator

 @param {Generator} generator
 @param {Output} output
 @return {Promise<Output>}
 */
function generateAssets(generator, output) {
    const assets = output.getAssets();
    const logger = output.getLogger();
    // Is generator ignoring assets?
    if (!generator.onAsset) {
        return (0, promise_1.default)(output);
    }
    return promise_1.default.reduce(assets, (out, assetFile) => {
        logger.debug.ln(`copy asset "${assetFile}"`);
        return generator.onAsset(out, assetFile);
    }, output);
}
exports.default = generateAssets;
