"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const immutable_1 = __importDefault(require("immutable"));
const generateBook_1 = require("./generateBook");
const json_1 = __importDefault(require("./json"));
const website_1 = __importDefault(require("./website"));
const ebook_1 = __importDefault(require("./ebook"));
const generators = immutable_1.default.List([json_1.default, website_1.default, ebook_1.default]);
/**
 Return a specific generator by its name
 @return {Generator}
 */
function getGenerator(name) {
    return generators.find((generator) => {
        return generator.name == name;
    });
}
exports.default = {
    generate: generateBook_1.generateBook,
    incrementalBuild: generateBook_1.incrementalBuild,
    getGenerator: getGenerator,
};
