"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cheerio = __importStar(require("cheerio"));
const promise_1 = __importDefault(require("../../utils/promise"));
/**
 Apply a list of operations to a page and
 output the new page.

 @param {Page}
 @param {List|Array<Transformation>}
 @return {Promise<Page>}
 */
function modifyHTML(page, operations) {
    const html = page.getContent();
    const $ = cheerio.load(html, { _useHtmlParser2: true });
    return promise_1.default.forEach(operations, (op) => {
        return op($);
    }).then(() => {
        const resultHTML = $.html();
        const unescapedHtml = resultHTML.replace(/&#x([0-9a-f]{2,});/gi, (_, code) => String.fromCodePoint(parseInt(code, 16)));
        return page.set("content", unescapedHtml);
    });
}
exports.default = modifyHTML;
