"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parse_1 = __importDefault(require("../parse"));
/**
 List all assets in the book

 @param {Output}
 @return {Promise<Output>}
 */
function prepareAssets(output) {
    const book = output.getBook();
    const pages = output.getPages();
    const logger = output.getLogger();
    return parse_1.default.listAssets(book, pages).then((assets) => {
        logger.info.ln("found", assets.size, "asset files");
        return output.set("assets", assets);
    });
}
exports.default = prepareAssets;
