"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parse_1 = __importDefault(require("../parse"));
const promise_1 = __importDefault(require("../utils/promise"));
/**
 List and prepare all pages

 @param {Output}
 @return {Promise<Output>}
 */
function preparePages(output) {
    const book = output.getBook();
    const logger = book.getLogger();
    if (book.isMultilingual()) {
        return (0, promise_1.default)(output);
    }
    return parse_1.default.parsePagesList(book).then((pages) => {
        logger.info.ln("found", pages.size, "pages");
        return output.set("pages", pages);
    });
}
exports.default = preparePages;
