"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const createTemplateEngine_1 = __importDefault(require("../createTemplateEngine"));
const createMock_1 = __importDefault(require("../../testing/createMock"));
const prepareI18n_1 = __importDefault(require("../prepareI18n"));
const __1 = __importDefault(require("../"));
describe("i18n", () => {
    test("should correctly use english as default language", () => {
        // @ts-expect-error
        return (0, createMock_1.default)(__1.default, {
            "README.md": "Hello World"
        })
            .then((output) => {
            return (0, prepareI18n_1.default)(output);
        })
            .then((output) => {
            const engine = (0, createTemplateEngine_1.default)(output, "README.md");
            const t = engine.getFilters().get("t");
            expect(t("SUMMARY_INTRODUCTION")).toEqual("Introduction");
        });
    });
    test("should correctly use language from book.json", () => {
        // @ts-expect-error
        return (0, createMock_1.default)(__1.default, {
            "README.md": "Hello World",
            "book.json": JSON.stringify({ language: "fr" })
        })
            .then((output) => {
            return (0, prepareI18n_1.default)(output);
        })
            .then((output) => {
            const engine = (0, createTemplateEngine_1.default)(output, "README.md");
            const t = engine.getFilters().get("t");
            expect(t("GITBOOK_LINK")).toEqual("Publié avec HonKit");
        });
    });
});
