"use strict";
/**
 List search paths for templates / i18n, etc

 @param {Output} output
 @return {List<String>}
 */
Object.defineProperty(exports, "__esModule", { value: true });
function listSearchPaths(output) {
    const book = output.getBook();
    const plugins = output.getPlugins();
    const searchPaths = plugins
        .valueSeq()
        .map((plugin) => {
        return plugin.getPath();
    })
        .toList();
    return searchPaths.unshift(book.getContentRoot());
}
exports.default = listSearchPaths;
