"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("../../utils/fs"));
/**
 Copy an asset to the output folder

 @param {Output} output
 @param {Page} page
 */
function onAsset(output, asset) {
    const book = output.getBook();
    const options = output.getOptions();
    const bookFS = book.getContentFS();
    const outputFolder = options.get("root");
    const outputPath = path_1.default.resolve(outputFolder, asset);
    return fs_1.default
        .ensureFile(outputPath)
        .then(() => {
        return bookFS.readAsStream(asset).then((stream) => {
            return fs_1.default.writeStream(outputPath, stream);
        });
    })
        .thenResolve(output);
}
exports.default = onAsset;
