"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("../../utils/fs"));
const promise_1 = __importDefault(require("../../utils/promise"));
const listSearchPaths_1 = __importDefault(require("./listSearchPaths"));
/**
 * Prepare i18n, load translations from plugins and book
 *
 * @param {Output}
 * @return {Promise<Output>}
 */
function prepareI18n(output) {
    const state = output.getState();
    const i18n = state.getI18n();
    const searchPaths = (0, listSearchPaths_1.default)(output);
    searchPaths.reverse().forEach((searchPath) => {
        const i18nRoot = path_1.default.resolve(searchPath, "_i18n");
        if (!fs_1.default.existsSync(i18nRoot))
            return;
        i18n.load(i18nRoot);
    });
    return (0, promise_1.default)(output);
}
exports.default = prepareI18n;
