"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const book_1 = __importDefault(require("../../models/book"));
const mock_1 = __importDefault(require("../../fs/mock"));
const parseSummary_1 = __importDefault(require("../parseSummary"));
describe("parseSummary", () => {
    test("should parse summary if exists", () => {
        const fs = (0, mock_1.default)({
            "SUMMARY.md": "# Summary\n\n* [Hello](hello.md)",
        });
        const book = book_1.default.createForFS(fs);
        return (0, parseSummary_1.default)(book).then((resultBook) => {
            const summary = resultBook.getSummary();
            const file = summary.getFile();
            expect(file.exists()).toBeTruthy();
        });
    });
    test("should not fail if doesn't exist", () => {
        const fs = (0, mock_1.default)({});
        const book = book_1.default.createForFS(fs);
        return (0, parseSummary_1.default)(book).then((resultBook) => {
            const summary = resultBook.getSummary();
            const file = summary.getFile();
            expect(file.exists()).toBeFalsy();
        });
    });
});
