"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parseStructureFile_1 = __importDefault(require("./parseStructureFile"));
const glossary_1 = __importDefault(require("../models/glossary"));
/**
 Parse glossary

 @param {Book} book
 @return {Promise<Book>}
 */
function parseGlossary(book) {
    const logger = book.getLogger();
    return (0, parseStructureFile_1.default)(book, "glossary").spread((file, entries) => {
        if (!file) {
            return book;
        }
        logger.debug.ln("glossary index file found at", file.getPath());
        const glossary = glossary_1.default.createFromEntries(file, entries);
        return book.set("glossary", glossary);
    });
}
exports.default = parseGlossary;
