"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parseStructureFile_1 = __importDefault(require("./parseStructureFile"));
const languages_1 = __importDefault(require("../models/languages"));
/**
 Parse languages list from book

 @param {Book} book
 @return {Promise<Book>}
 */
function parseLanguages(book) {
    const logger = book.getLogger();
    return (0, parseStructureFile_1.default)(book, "langs").spread((file, result) => {
        if (!file) {
            return book;
        }
        const languages = languages_1.default.createFromList(file, result);
        logger.debug.ln("languages index file found at", file.getPath());
        logger.info.ln("parsing multilingual book, with", languages.getList().size, "languages");
        return book.set("languages", languages);
    });
}
exports.default = parseLanguages;
