"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parsePageFromString_1 = __importDefault(require("./parsePageFromString"));
/**
 * Parse a page, read its content and parse the YAMl header
 *
 * @param {Book} book
 * @param {Page} page
 * @return {Promise<Page>}
 */
function parsePage(book, page) {
    const fs = book.getContentFS();
    const file = page.getFile();
    return fs.readAsString(file.getPath()).then((content) => {
        return (0, parsePageFromString_1.default)(page, content);
    });
}
exports.default = parsePage;
