"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const immutable_1 = __importDefault(require("immutable"));
const front_matter_1 = __importDefault(require("front-matter"));
const direction_1 = __importDefault(require("direction"));
/**
 * Parse a page, its content and the YAMl header
 *
 * @param {Page} page
 * @param {string} content
 * @return {Page}
 */
function parsePageFromString(page, content) {
    // Parse page YAML
    const parsed = (0, front_matter_1.default)(content);
    return page.merge({
        content: parsed.body,
        attributes: immutable_1.default.fromJS(parsed.attributes),
        dir: (0, direction_1.default)(parsed.body),
    });
}
exports.default = parsePageFromString;
