"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pluginDependency_1 = __importDefault(require("../../models/pluginDependency"));
const listDependencies_1 = __importDefault(require("../listDependencies"));
const toNames_1 = __importDefault(require("../toNames"));
describe("listDependencies", () => {
    test("must list default", () => {
        const deps = pluginDependency_1.default.listFromString("ga,great");
        const plugins = (0, listDependencies_1.default)(deps);
        const names = (0, toNames_1.default)(plugins);
        expect(names).toEqual(["ga", "great", "highlight", "search", "lunr", "fontsettings", "theme-default"]);
    });
    test("must list from array with -", () => {
        const deps = pluginDependency_1.default.listFromString("ga,-great");
        const plugins = (0, listDependencies_1.default)(deps);
        const names = (0, toNames_1.default)(plugins);
        expect(names).toEqual(["ga", "highlight", "search", "lunr", "fontsettings", "theme-default"]);
    });
    test("must remove default plugins using -", () => {
        const deps = pluginDependency_1.default.listFromString("ga,-search");
        const plugins = (0, listDependencies_1.default)(deps);
        const names = (0, toNames_1.default)(plugins);
        expect(names).toEqual(["ga", "highlight", "lunr", "fontsettings", "theme-default"]);
    });
});
