"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pluginDependency_1 = __importDefault(require("../../models/pluginDependency"));
const sortDependencies_1 = __importDefault(require("../sortDependencies"));
const toNames_1 = __importDefault(require("../toNames"));
describe("sortDependencies", () => {
    test("must load themes after plugins", () => {
        const allPlugins = pluginDependency_1.default.listFromArray(["hello", "theme-test", "world"]);
        const sorted = (0, sortDependencies_1.default)(allPlugins);
        const names = (0, toNames_1.default)(sorted);
        expect(names).toEqual(["hello", "world", "theme-test"]);
    });
    test("must keep order of themes", () => {
        const allPlugins = pluginDependency_1.default.listFromArray([
            "theme-test",
            "theme-test1",
            "hello",
            "theme-test2",
            "world",
        ]);
        const sorted = (0, sortDependencies_1.default)(allPlugins);
        const names = (0, toNames_1.default)(sorted);
        expect(names).toEqual(["hello", "world", "theme-test", "theme-test1", "theme-test2"]);
    });
});
