"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const listDependencies_1 = __importDefault(require("./listDependencies"));
/**
 * List all plugin requirements for a book.
 * It can be different from the final list of plugins,
 * since plugins can have their own dependencies
 *
 * @param {Book}
 * @return {List<PluginDependency>}
 */
function listDepsForBook(book) {
    const config = book.getConfig();
    const plugins = config.getPluginDependencies();
    return (0, listDependencies_1.default)(plugins);
}
exports.default = listDepsForBook;
