"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const immutable_1 = __importDefault(require("immutable"));
/**
 List filters from a list of plugins

 @param {OrderedMap<String:Plugin>}
 @return {Map<String:Function>}
 */
function listFilters(plugins) {
    return plugins.reverse().reduce((result, plugin) => {
        return result.merge(plugin.getFilters());
    }, immutable_1.default.Map());
}
exports.default = listFilters;
