"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const promise_1 = __importDefault(require("./promise"));
const fs_1 = __importDefault(require("./fs"));
// Converts a inline data: to png file
function convertInlinePNG(source, dest) {
    if (!/^data:image\/png/.test(source))
        return promise_1.default.reject(new Error("Source is not a PNG data-uri"));
    const base64data = source.split("data:image/png;base64,")[1];
    const buf = Buffer.from(base64data, "base64");
    return fs_1.default.writeFile(dest, buf).then(() => {
        if (fs_1.default.existsSync(dest))
            return;
        throw new Error(`Error converting ${source} into ${dest}`);
    });
}
exports.default = {
    convertInlinePNG: convertInlinePNG,
};
